<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [entities](./iceshrimp-sdk.entities.md) &gt; [Blocking](./iceshrimp-sdk.entities.blocking.md)

## entities.Blocking type

**Signature:**

```typescript
export type Blocking = {
    id: ID;
    createdAt: DateString;
    blockeeId: User["id"];
    blockee: UserDetailed;
};
```
**References:** [ID](./iceshrimp-sdk.entities.id.md)<!-- -->, [DateString](./iceshrimp-sdk.entities.datestring.md)<!-- -->, [User](./iceshrimp-sdk.entities.user.md)<!-- -->, [UserDetailed](./iceshrimp-sdk.entities.userdetailed.md)

